<div class="container">
  <div id="contenido" class="container">
    <h3 class="my-3 text-center">
                  Valida tu información</h3>
                  
                  <p class="text-2 text-center">
                      Esta información la extrajimos
  de tu identificación, si no es
  correcta, por favor actualiza tu información.
                  </p>
                  
                  <div class="row justify-content-center">
                    <header *ngIf="foto" class="header mt-2">
                      <img  [src]="foto" alt="" style="width: 100px; height: 100px;">
                    </header>
                </div>


                  <form>
                  <div class="form-group">
                      <label>Nombre</label>
                    <input [readonly]="true"  type="text" class="form-control form-control-lg" value="{{nombre}}">
                    <small class="form-text text-muted"></small>
                  </div>
                      
                      <div class="form-group" *ngIf="directionShow">
                      <label>Dirección</label>
                      <div id="direccionOCR">
                        {{direccion}} 
                      </div>
                    <small class="form-text text-muted"></small>
                  </div>
                      
                      <div class="form-group">
                      <label [hidden]="curp===null">CURP</label>
                    <input [hidden]="curp===null" [readonly]="true" type="text" class="form-control form-control-lg" value="{{curp}}" >
                    <small class="form-text text-muted"></small>
                  </div>
                  </form>
                  <div class="error" style="color: red;">{{errorMensaje}}</div>
                      <p class="my-3">
                    <button *ngIf="nombre" id="confirmOCR" (click)="updateValuesSession()" type ="button" class="btn btn-lg btn-block btn-danger mr-3 btnUrl"
                    [style.background-color]="getColorButton()"
                    [style.border-color]="getColorButton()"
                    [style.color]="getColorLabel()">Continuar</button>
                  </p>
                  <!-- <p class="my-3">
                    <button id="againOCR" (click)="backAndTakeAgain()"  type ="button" class="btn btn-lg btn-block mr-3 btnUrl btnPrimary"
                    [style.border-color]="getColorButton()"
                    [style.color]="getColorLabel()">Intentar de nuevo</button>
                  </p> -->
                  <p class="my-3">
                    <button id="againOCR" (click)="updateInfo()"  type ="button" class="btn btn-lg btn-block mr-3 btnUrl"
                    [style.border-color]="getColorButton()"
                    [style.color]="getColorLabel()">Actualizar Información</button>
                  </p>
                
              
    </div>
  </div>


  <div id="modalErrorOCR" class="modal my-auto">
    <!-- Modal content -->
    <div class="modal-content">
      <h3>Error al leer el documento</h3>
      <p>La calidad de tus imágenes no es buena, la resolución minima es de 480 X 640 pixeles, por favor reintenta</p>
      <button id="btnAceptarModal" type ="button" (click)="aceptar()"  class="btn btn-lg btn-block mr-3 btnUrl btnPrimary"
      [style.background-color]="getColorButton()"
      [style.border-color]="getColorButton()"
      [style.color]="getColorLabel()">Ok</button>
    </div>
  </div>

  <div id="modalErrorOCR2" class="modal my-auto">
    <!-- Modal content -->
    <div class="modal-content">
      <h5 class="d-flex justify-content-center">Procesando</h5>
      <h5 class="d-flex justify-content-center">documento</h5>
      <div class="d-flex justify-content-center">
        <div class="spinner-border d-flex justify-content-center" role="status">
          <span class="sr-only d-flex justify-content-center"></span>
        </div>
      </div>
    </div>
  </div>